Bug 3396 - Размножение квалификатора метода класа const
: Размножение квалификатора метода класа const
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/indent)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-12-22 07:30 by
Modified: 2014-11-24 11:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-22 07:30:10
Иногда indent (v. 2.2.9-alt2) размножает const. Например:
//test A.cpp
class A
{
public:
    void tst () const;
};

void  A::tst () const
{
    int i = 0;
}

int main ()
{
    return 0;
}

$indent A.cpp

Steps to Reproduce:
1. Write A.cpp
2. $indent
3.
------- Comment #1 From 2003-12-29 00:20:51 -------
According to indent(1), it is for C code only, and 
"While an attempt was made to get indent working for C++, it will not do a good job on any 
C++ source except the very simplest." 
------- Comment #2 From 2005-12-12 01:48:35 -------
Проект indent, похоже, не развивается в направлении поддержки C++.
------- Comment #3 From 2014-11-24 11:55:25 -------
apparently wontfix?